Comprueba si tu ordenador Linux es vulnerable a Spectre o Meltdown

Meltdown o Spectre son dos términos que tenemos muy presentes en los últimos días. Son dos vulnerabilidades que afectan a prácticamente todos los sistemas y equipos. De ello hemos hablado en varios artículos. Rápidamente las compañías han ido sacando parches de seguridad para resolver el problema. Eso sí, no siempre ha sido posible e incluso han traído nuevos problemas. En este artículo vamos a hablar de cómo podemos comprobar si nuestro sistema Linux es vulnerable a Spectre o Meltdown.

Vulnerabilidad de Linux ante Spectre o Meltdown

Los equipos con Linux no son diferentes a los que tienen Windows, en este sentido. Spectre o Metldown les afecta igualmente. Por ello es importante tener presente si nuestro ordenador es vulnerable o no.

Vimos recientemente que Ubuntu sacó parches para solucionar este problema, aunque en algunos ordenadores dio problemas al arrancar.

Los desarrolladores trabajan para sacar parches de seguridad para el Kernel de las diferentes distribuciones. Algunas, como hemos visto, ya tienen estos parches.

En un artículo anterior vimos cómo podemos comprobar si nuestro equipo Windows es vulnerable a Meltdown o Spectre. Ahora nos hacemos eco de algo similar, pero para Linux. Un script publicado recientemente nos permite realizar esta comprobación.

Podemos consultar la página oficial del proyecto de GitHub. Aquí vemos el código del script que podemos ejecutar para realizar la comprobación.

Pasos

Estos son los pasos que tenemos que hacer:

  1. Abrir el Terminal en el sistema Linux que queramos comprobar.
  2. Escribir cd/tmp/
  3. Escribir wget https://raw.githubusercontent.com/speed47/spectre-meltdown-checker/master/spectre-meltdown-checker.sh. Esto descarga la secuencia de comandos del servidor de GitHub.
  4. Posteriormente escribimos sudo sh spectre-meltdown-checker.sh. Esto ejecuta la secuencia de comandos con privilegios elevados.
  5. Ponemos la contraseña.

El script comprueba cada variante individualmente y enumera lo que encuentra. Si aparece “estado: vulnerable”, el sistema es vulnerable a la variante. Los controles para la variante Spectre 2 y Meltdown revelan información adicional.

Un sistema que es vulnerable necesita una actualización del kernel para protegerse de posibles ataques que explotan estas vulnerabilidades.

La forma para obtener la actualización del Kernel varía según la distribución. Una vez la tengamos, es posible que para nuestro sistema operativo solucione o no estas vulnerabilidades. Lo ideal es volver a realizar la comprobación y así veremos si se han corregido o no.

La seguridad es un aspecto clave para el buen funcionamiento de nuestros dispositivos. Pero no basta con tener programas y herramientas de seguridad, sino que éstos deben de estar actualizados a la última versión. Sólo así podremos hacer frente a posibles amenazas recientes que pongan en riesgo nuestros equipos.

En el caso de Meltdown o Spectre, las dos vulnerabilidades de las que hablamos en este artículo, es esencial que nuestros equipos estén actualizados. Como hemos visto afecta a la gran mayoría de sistemas.

Pero estas vulnerabilidades no son exclusivas de los sistemas operativos. También los propios navegadores se han visto afectados. Muchos de ellos ya han comenzado a sacar parches para solucionar el problema. Hablamos recientemente en un artículo sobre cómo podemos descubrir si nuestro navegador es vulnerable a ambos fallos.


Via: www.redeszone.net
Comprueba si tu ordenador Linux es vulnerable a Spectre o Meltdown Comprueba si tu ordenador Linux es vulnerable a Spectre o Meltdown Reviewed by Lydecker Black on 13:11 Rating: 5